### Method

# Gio SocketService start

since: 2.22

#### Declaration [src]

    void
    g_socket_service_start (
      GSocketService* service
    )

#### Description [src]

Restarts the service, i.e. start accepting connections from the added sockets when the mainloop runs. This only needs to be called after the service has been stopped from g_socket_service_stop().

This call is thread-safe, so it may be called from a thread handling an incoming client request.

Available since: 2.22